Subject: Re: [PATCH net-next] mlx4: make sure to always set the port type

From: Leon Romanovsky <[email-masked]>
Date: Mon, 7 Sep 2020 20:51:55 +0300

On Mon, Sep 07, 2020 at 09:36:14AM -0700, Jakub Kicinski wrote:
> On Mon, 7 Sep 2020 09:48:30 +0300 Leon Romanovsky wrote:
> >>>> And can we call to devlink_port_type_*_set() without IS_ENABLED() check?
> >>>
> >>> It'll generate two netlink notifications - not the end of the world but
> >>> also doesn't feel super clean.
> >
> > I would say that such a situation is corner case during the driver init and
> > not an end of the world to see double netlink message.
>
> Could you spell out your reasoning here? Are you concerned about
> out-of-tree drivers?

Nothing fancy, I just didn't see users who compiled mlx4_core and used
it without eth/ib.

The corner case is because this double netlink can be seen only during
driver reload and only if port type wasn't set.

>
> I don't see how adding IS_ENABLED() to the condition outweighs
> the benefit of not having duplicated netlink notifications.

Readability?

Anyway, it doesn't matter.

Thanks